POST v1/notification/all

Request Information

URI Parameters

None.

Body Parameters

NotificationGetRequestDto
NameDescriptionTypeAdditional information
UserId

string

None.

CurrentPage

integer

None.

PageSize

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": "sample string 1",
  "currentPage": 1,
  "pageSize": 2
}

application/xml, text/xml

Sample:
<NotificationGetRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <CurrentPage>1</CurrentPage>
  <PageSize>2</PageSize>
  <UserId>sample string 1</UserId>
</NotificationGetRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

ApiResponseNewOfNotificationGetResponseMainDto
NameDescriptionTypeAdditional information
status

integer

None.

message

string

None.

data

NotificationGetResponseMainDto

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 1,
  "message": "sample string 2",
  "data": {
    "currentPage": 1,
    "pageSize": 2,
    "totalPages": 3,
    "totalRecords": 4,
    "unreadCount": 5,
    "endPage": 6,
    "startPage": 7,
    "notifications": [
      {
        "id": "d536714c-cad7-4861-97eb-76a604d2c49f",
        "title": "sample string 2",
        "body": "sample string 3",
        "isRead": true,
        "dateTime": "sample string 5",
        "unreadCount": 6
      },
      {
        "id": "d536714c-cad7-4861-97eb-76a604d2c49f",
        "title": "sample string 2",
        "body": "sample string 3",
        "isRead": true,
        "dateTime": "sample string 5",
        "unreadCount": 6
      }
    ]
  }
}

application/xml, text/xml

Sample:
<ApiResponseNewOfNotificationGetResponseMainDtoqfWPY2Au xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <data>
    <CurrentPage>1</CurrentPage>
    <EndPage>6</EndPage>
    <PageSize>2</PageSize>
    <Result>
      <Message>sample string 1</Message>
      <Status>2</Status>
    </Result>
    <StartPage>7</StartPage>
    <TotalPages>3</TotalPages>
    <TotalRecords>4</TotalRecords>
    <UnreadCount>5</UnreadCount>
    <notifications>
      <NotificationGetResponseDto>
        <Body>sample string 3</Body>
        <DateTime>sample string 5</DateTime>
        <ID>d536714c-cad7-4861-97eb-76a604d2c49f</ID>
        <IsRead>true</IsRead>
        <Title>sample string 2</Title>
        <UnreadCount>6</UnreadCount>
      </NotificationGetResponseDto>
      <NotificationGetResponseDto>
        <Body>sample string 3</Body>
        <DateTime>sample string 5</DateTime>
        <ID>d536714c-cad7-4861-97eb-76a604d2c49f</ID>
        <IsRead>true</IsRead>
        <Title>sample string 2</Title>
        <UnreadCount>6</UnreadCount>
      </NotificationGetResponseDto>
    </notifications>
  </data>
  <message>sample string 2</message>
  <status>1</status>
</ApiResponseNewOfNotificationGetResponseMainDtoqfWPY2Au>